Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 25045 - Installing php-4.0.4pl1-3 breaks mod_perl
Installing php-4.0.4pl1-3 breaks mod_perl
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: mod_php (Show other bugs)
7.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-26 15:44 EST by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:07:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-01-26 15:44:02 EST
After installing php-4.0.4pl1-3 mod_perl failed to load. By removing the 
mod_php lines in httpd.conf I was able to get httpd to start and load 
mod_perl properly, but, cannot get php and perl to both start and run 
nicely.

Please help
Comment 1 Nalin Dahyabhai 2001-01-26 15:56:35 EST
Do you have the previously issued mod_perl errata package installed (see
http://www.redhat.com/support/errata/RHSA-2000-088.html)?
Comment 2 Need Real Name 2001-01-26 16:07:46 EST
Yes.. mod_perl-1.24-6 is installed.. As is apache-1.3.14-3.

As soon as I uncomment 'AddModule mod_php4.c' in httpd.conf mod_perl breaks. 
When I recomment it, mod_perl works.
Comment 3 Need Real Name 2001-01-26 17:26:45 EST
Can you post the older PHP rpm's so I can downgrade to a working version??

p.s. when I replace the libphp4.so from the 4.0.4 release with 4.0.3 release it 
works.. libphp4.so in the 4.0.4 rpm is broken I believe...
Comment 4 Need Real Name 2001-01-26 18:55:34 EST
I get the following errors in my error_log:

[Fri Jan 26 15:49:24 2001] [notice] child pid 7765 exit signal Segmentation 
fault (11)
[Fri Jan 26 15:50:39 2001] [notice] caught SIGTERM, shutting down
Subroutine connect_on_init redefined 
at /usr/lib/perl5/site_perl/5.6.0/Apache/DBI.pm line 31.
Subroutine setPingTimeOut redefined 
at /usr/lib/perl5/site_perl/5.6.0/Apache/DBI.pm line 45.
Subroutine connect redefined at /usr/lib/perl5/site_perl/5.6.0/Apache/DBI.pm 
line 58.
Subroutine childinit redefined at /usr/lib/perl5/site_perl/5.6.0/Apache/DBI.pm 
line 132.
Subroutine cleanup redefined at /usr/lib/perl5/site_perl/5.6.0/Apache/DBI.pm 
line 149.
Subroutine all_handlers redefined 
at /usr/lib/perl5/site_perl/5.6.0/Apache/DBI.pm line 163.
Subroutine disconnect redefined at /usr/lib/perl5/site_perl/5.6.0/Apache/DBI.pm 
line 179.
[Fri Jan 26 15:50:50 2001] [notice] Apache/1.3.14 (Unix)  (Red-Hat/Linux) 
mod_ssl/2.7.1 OpenSSL/0.9.5a DAV/1.0.2 mod_perl/1.24 configured -- resuming 
normal operations
[Fri Jan 26 15:52:35 2001] [notice] SIGHUP received.  Attempting to restart
Subroutine connect_on_init redefined 
at /usr/lib/perl5/site_perl/5.6.0/Apache/DBI.pm line 31.
Subroutine setPingTimeOut redefined 
at /usr/lib/perl5/site_perl/5.6.0/Apache/DBI.pm line 45.
Subroutine connect redefined at /usr/lib/perl5/site_perl/5.6.0/Apache/DBI.pm 
line 58.
Subroutine childinit redefined at /usr/lib/perl5/site_perl/5.6.0/Apache/DBI.pm 
line 132.
Subroutine cleanup redefined at /usr/lib/perl5/site_perl/5.6.0/Apache/DBI.pm 
line 149.
Subroutine all_handlers redefined 
at /usr/lib/perl5/site_perl/5.6.0/Apache/DBI.pm line 163.
Subroutine disconnect redefined at /usr/lib/perl5/site_perl/5.6.0/Apache/DBI.pm 
line 179.
Comment 5 Nalin Dahyabhai 2001-01-30 15:20:18 EST
Previous php-4.0.3pl1-1 packages are now in
http://people.redhat.com/nalin/test/.  They may work around the problem you're
seeing.

Does this problem go away if you upgrade to apache-1.3.14-8 or newer from Raw
Hide (ftp://ftp.redhat.com/pub/rawhide/)?  You may be tripping across some
DB2/DB3 linkage problems.
Comment 6 Need Real Name 2001-02-01 22:36:28 EST
To be honest, I'm really hesitant to try the rawhide file as it's a production 
server...

Either way, you've got to fix the PHP modules or release the new version of 
Apache and make PHP 4.0.4 dependant on the new apache...
Comment 7 Oliver Schulze L. 2001-02-02 04:35:46 EST
I have php-4.0.4pl1 and mod_perl 1.24-6 runnig with no problem:

tail /var/log/http/error_log
[Fri Feb  2 05:30:25 2001] [notice] Apache/1.3.14 (Unix)  (Red-Hat/Linux)
mod_ssl/2.7.1 OpenSSL/0.9.5a PHP/4.0.4pl1 mod_perl/1.24 configured -- resuming
normal operations

I have this packages installed:
[root@sojourner /root]# rpm -qa|grep apache
apache-devel-1.3.14-3
apache-manual-1.3.14-3
apache-1.3.14-3
mod_perl-1.24-6
mod_ssl-2.7.1-3
php-ldap-4.0.4pl1-3
php-imap-4.0.4pl1-3
php-manual-4.0.4pl1-3
php-4.0.4pl1-3
php-mysql-4.0.4pl1-3
perl-DBD-msql-mysql-1.2209-1
perl-DBI-1.13-1
gimp-perl-1.1.26-0_helix_3
groff-perl-1.16-7
mod_perl-1.24-6
perl-5.6.0-9thread (this is perl-5.6.0-9 compiled with threads)

Running on RH7.0.

Looking you log, seems that you have double installed what in 
/usr/lib/perl5/site_perl/5.6.0/Apache/
is.

I have the DBI.pm installed by:
rpm -qf /usr/lib/perl5/site_perl/5.005/i386-linux/DBI.pm
perl-DBI-1.13-1


Good Look
Oliver
Comment 8 Need Real Name 2001-02-03 14:01:03 EST
I tried to install apache 1.3.14-8, but it failed dependencies....

        initscripts >= 5.54 is needed by apache-1.3.14-8
        apache = 1.3.14-3 is needed by mod_ssl-2.7.1-3

BTW, I can get PHP and perl to live together (as long as I don't run any PHP 
programs that is) by commenting out 'Addmodule mod_php4.c' in the httpd.conf.. 
My mod_php4.c looks like:

<IfModule mod_php4.c>
  AddType application/x-httpd-php .php4 .php3 .phtml .php
  AddType application/x-httpd-php-source .phps
</IfModule>

If that's loaded with PHP 4.0.4 it fails. If it isn't PHP doesn't work, but, 
perl does...
Comment 9 Need Real Name 2001-02-03 15:46:24 EST
Just to try it again, I re-ran up2date -u and reinstalled PHP4.0.4pl1 and it 
did the same thing. I can get it to work by commenting out the 'Addmodule 
mod_php4.c' but it kills any/all PHP functionality.. I even reinstalled DBI 
from the .rpm, and still no luck. PHP is definately broken...
Comment 10 Need Real Name 2001-02-03 15:47:39 EST
one more thing: error_log shows:

[Sat Feb  3 12:54:01 2001] [notice] child pid 26299 exit signal Segmentation 
fault (11)

when I try to run a .pl script now....
Help!
Comment 11 Bill Nottingham 2006-08-07 15:48:40 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 12 Bill Nottingham 2006-10-18 13:07:24 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.